Get All Discount Codes For Ticketing

This API is used to get all discount codes for ticketing associated with the specified event.
API is used as host side event admin and super admin can access this API.
To call this API, user will have to pass query param with API URL like recurringEventId and authentication key to authenticate user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.
It will return a success message if API is executed successfully.

AttributeDescription
idThis contains the discount coupon id for ticketing.
codeThis contains the name of discount code, e.g. CODE20, CODE50 etc.
amountThis contains the amount to be discounted.
couponUsedThis will return the number of coupons used.
maximumUseOfCouponThis will return the maximum number of times a coupon can be used.
maximumUseOfCouponPerUserThis will return the maximum number of times a coupon can be used per user.
startDateThis contains the discount start date, e.g. "10/19/2021 11:24:00"
endDateThis contains the discount end date, e.g. "11/10/2021 16:45:00"
eventTicketTypeIdThis contains the event ticket type id for discount.
discountTypeThis will return the discount type like PERCENTAGE or FLAT.
applicableToThis will return the discount applicable to PER_TICKET or PER_ORDER.
recurringRelativeStartTimeThis contains the coupon start time from XX hours before recurring event starts.
recurringRelativeEndTimeThis contains the coupon end time from XX hours before recurring event ends.
recurringEventIdThis contains the recurring event id for an in-person event. If this doesn't exist, it's otherwise null.

Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
200array of discount code.
400The request could not be understood by the server due to malformed syntax.
401The request could not be understood by the server due to malformed syntax.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4030201Not Event Host.
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Query Params
int64
Defaults to 0

User pass the In-Person event id.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json